<div id="find_pwd_layer">
	<div class="popuptop" class="account_header_fixed">
		<h3 class="p_title" style="text-align:center">비밀번호 찾기 </h3>
		<span class="btn-close"><a href="/m/"><img src="/img/mobile/btn-close.png"></a></span>
	</div>
	<div class="reply_cont">
		<div class="reply_cont_wrap">

			<div class="ft18 beachblue trc" style="padding-bottom:20px">원하시는 방식을 선택해 주세요.</div>
			<dl class="bgb notice_list ft16">
				<dt>모바일폰 인증으로 찾기</dt>
				<dd><input type="radio" name="find_password_type" id="find_password_type1" value="1"></dd>
				<dt>이메일 인증으로 찾기</dt>
				<dd><input type="radio" name="find_password_type" id="find_password_type2" value="2" checked=""></dd>
			</dl>
		</div>
	</div>
	<div class="account_btn">
		<div class="form-group" style="margin:30px 0; display:block; text-align:center; border-bottom:0;">
			<button type="button" onclick="find_password_type_select();" class="btn btn-success br20" style="padding:10px 50px; font-size:16px">확인</button>
			<button type="button" onclick="window.location='/m/member/login'" class="btn btn-default_bb br20" style="padding:10px 50px; font-size:16px ">취소</button>
		</div>

	</div>
</div>


<div id="find_pwd_fin_layer" style="display:none;">
	<div class="account_header_fixed">
		<span class="header_tit">비밀번호 찾기</span><span class="fr" style="padding-right:20px; padding-top:3px;"><a href="/m/"><img
					src="/img/mobile/img_close.gif"></a></span>
	</div>
	<div class="account_cont">
		<div class="search_text" style="margin: 80px 0 0 0; font-size: 16px;">인증된 메일<br>
			<span id="find_pwd_email_text" class="beachblue">a**d***@d******</span>
			<br>로 변경된 임시비밀번호 정보를 발신하였습니다.<br><br>회원님의 소중한 개인정보 보호를 위해<br>
			지금 꼭! 비밀번호를 변경하신 후,
			<br>로그인 하시기 바랍니다.<br>
		</div>
		<div class="account_btn" style="margin-top:20px;">
			<span><a href="/m/member/login" class="btn btn-success br5" style="font-size: 17px;padding: 10px 0;width: 60%;">로그인하기 </a></span>
		</div>
	</div>

</div>
<script>

	// 비밀번호 찾기
	function find_password_type_select() {
		$("input[name=find_password_type]:checked").each(function () {
			var find_password_type = $(this).val();
			if (find_password_type == '1') {
				window.open("/m/common/kmc_mobile_auth?type=find_password");
			} else {
				window.location="/m/member/find_pw_with_email"
			}
		});
	}


	// 비밀번호 변경
	function change_password() {
		if ($("#now_pwd").val() == "") {
			alert("현재 비밀번호를 입력해주세요.");
			return false;
		}

		if ($("#new_member_pwd").val() == "") {
			alert("비밀번호를 입력해주세요.");
			return false;
		}

		if (member_pwd_valid_check($("#new_member_pwd").val()) == false) {
			alert("비밀번호는 6~16 영문 대·소문자,숫자,특수문자로 입력해주세요.");
			return false;
		}

		if ($("#new_re_member_pwd").val() == "") {
			alert("비밀번호를 확인을 입력해주세요.");
			return false;
		}

		if ($("#new_member_pwd").val() != $("#new_re_member_pwd").val()) {
			alert("비밀번호를 확인을 입력해주세요.");
			return false;
		}

		if ($("#now_pwd").val() == $("#new_member_pwd").val()) {
			alert("변경할 비밀번호와 현재 비밀번호는 다르게 입력해주세요.");
			return false;
		}

		var form_data = {
			"now_pwd": $("#now_pwd").val(),
			"new_member_pwd": $("#new_member_pwd").val()
		};
		$.ajax({
			url: '/web/member/password_change_proc',
			async: false,
			type: 'POST',
			dataType: 'JSON',
			data: form_data,
			success: function (rtnJson) {
				if (rtnJson.code == "0000") {

					$("#cp_next_change_date").html(rtnJson.data.next_change_data);
					$("#cp_now_date").html(rtnJson.data.now_date);
					$("#cp_member_id").html(rtnJson.data.member_id);
					$("#cp_member_email").html(rtnJson.data.member_email);

					commonLayerClose('pw_3month_auto_change');
					commonLayerOpen('pw_3month_auto_change_fin');
				} else {
					alert(rtnJson.msg);
					return false;
				}
			},
			error: function (rtnJson) {
				alert('비밀번호 변경에 실패했습니다.');
				return false;
			}
		});
	}


</script>
